Gtk_Button(3)

NAME - Gtk_Button

HEADER REQUIRED
#include <gtk--/button.h&gt;>

BASE CLASSES
Gtk_Bin(3)

DERIVED BY
Gtk_OptionMenu(3) Gtk_ToggleButton(3) Toolbar_Child(3)

PROPERTIES

relief
    Type: guint:2
    Get: get_relief()
    Set: set_relief()

     Can be set to one of the following values : {num GTK_RELIEF_NORMAL}, {num GTK_RELIEF_HALF}, {num GTK_RELIEF_NONE}

PUBLIC MEMBER INDEX
    Gtk_Button();
      Create an empty button.
    Gtk_Button(GtkButton *castitem);
      Simple Push Button with label.
    Gtk_Button(const string &label);
    void  set_relief(GtkReliefStyle newstyle);
    GtkReliefStyle  get_relief() const;
    signal void  pressed(BaseObjectType);
      Emited on button press.
    signal void  released(BaseObjectType);
      Triggered when the user has released the mouse button
    signal void  clicked(BaseObjectType);
      Emitted on button press and release.
    signal void  enter(BaseObjectType);
      Triggered when the mouse cursor enters the button
    signal void  leave(BaseObjectType);
      Triggered when the mouse cursor leaves the button
    GtkButton*  gtkobj();
    const GtkButton*  gtkobj() const;
    static bool  isGtkButton(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkButton  BaseObjectType;
    typedef GtkButtonClass  BaseClassType;
    virtual void * get_parent_class();
    virtual void  pressed_impl();
    virtual void  released_impl();
    virtual void  clicked_impl();
    virtual void  enter_impl();
    virtual void  leave_impl();

PRIVATE MEMBER INDEX
    static CppClassType  button_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

Gtk_Button::Gtk_Button ();
    Create an empty button..
    With an empty button, you can Gtk_Button::add() a widget such as a Gtk_Pixmap or Gtk_Box.

If you just wish to add a Gtk_Label, you may want to
 use the ctor
 directly instead.

Gtk_Button::Gtk_Button (GtkButton *castitem);
    Simple Push Button with label..
    Create a button with the given label inside. You won't be able to add a widget in this button since it already has a Gtk_Label in it.

signal void  Gtk_Button::pressed (BaseObjectType);
    Emited on button press..
    Triggered when the button is pressed (e.g. the mouse button is still down, it hasn't been released yet, see next signal)

signal void  Gtk_Button::clicked (BaseObjectType);
    Emitted on button press and release..
    Triggered when the user has pressed and released the mouse button This is the signal you most likely want to connect.

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS